require 'ruble'

bundle 'Drupal 7' do |bundle|
  bundle.author = 'Jamie Holly/HollyIT, Adam Gregory/Newhall Interactive'
  bundle.contact_email_rot_13 = 'jamie@hollyit.net'
  bundle.description = <<END
Development support for <a href="http://drupal.org/">Drupal</a>.
The Aptana Drupal project page can be found at <a href="http://drupal.org/project/aptana_drupal_bundle">Aptana Drupal Bundle</a>
END
  bundle.menu 'Drupal' do |main_menu|
  main_menu.menu 'Hooks' do |submenu|
    submenu.menu 'Custom' do |custom|
      custom.command 'hook_CUSTOM'
    end
    submenu.menu 'aggregator' do |aggregator|
      aggregator.command 'hook_aggregator_fetch'
      aggregator.command 'hook_aggregator_fetch_info'
      aggregator.command 'hook_aggregator_parse'
      aggregator.command 'hook_aggregator_parse_info'
      aggregator.command 'hook_aggregator_process'
      aggregator.command 'hook_aggregator_process_info'
      aggregator.command 'hook_aggregator_remove'
    end
    submenu.menu 'block' do |block|
      block.command 'hook_block_configure'
      block.command 'hook_block_info'
      block.command 'hook_block_info_alter'
      block.command 'hook_block_list_alter'
      block.command 'hook_block_save'
      block.command 'hook_block_view'
      block.command 'hook_block_view_MODULE_DELTA_alter'
      block.command 'hook_block_view_alter'
    end
    submenu.menu 'comment' do |comment|
      comment.command 'hook_comment_delete'
      comment.command 'hook_comment_insert'
      comment.command 'hook_comment_load'
      comment.command 'hook_comment_presave'
      comment.command 'hook_comment_publish'
      comment.command 'hook_comment_unpublish'
      comment.command 'hook_comment_update'
      comment.command 'hook_comment_view'
      comment.command 'hook_comment_view_alter'
    end
    submenu.menu 'contextual' do |contextual|
      contextual.command 'hook_contextual_links_view_alter'
    end
    submenu.menu 'dashboard' do |dashboard|
      dashboard.command 'hook_dashboard_regions'
      dashboard.command 'hook_dashboard_regions_alter'
    end
    submenu.menu 'field' do |field|
      field.command 'hook_field_access'
      field.command 'hook_field_attach_create_bundle'
      field.command 'hook_field_attach_delete'
      field.command 'hook_field_attach_delete_bundle'
      field.command 'hook_field_attach_delete_revision'
      field.command 'hook_field_attach_form'
      field.command 'hook_field_attach_insert'
      field.command 'hook_field_attach_load'
      field.command 'hook_field_attach_prepare_translation_alter'
      field.command 'hook_field_attach_preprocess_alter'
      field.command 'hook_field_attach_presave'
      field.command 'hook_field_attach_purge'
      field.command 'hook_field_attach_rename_bundle'
      field.command 'hook_field_attach_submit'
      field.command 'hook_field_attach_update'
      field.command 'hook_field_attach_validate'
      field.command 'hook_field_attach_view_alter'
      field.command 'hook_field_available_languages_alter'
      field.command 'hook_field_create_field'
      field.command 'hook_field_create_instance'
      field.command 'hook_field_delete'
      field.command 'hook_field_delete_field'
      field.command 'hook_field_delete_instance'
      field.command 'hook_field_delete_revision'
      field.command 'hook_field_display_ENTITY_TYPE_alter'
      field.command 'hook_field_display_alter'
      field.command 'hook_field_extra_fields'
      field.command 'hook_field_extra_fields_alter'
      field.command 'hook_field_extra_fields_display_alter'
      field.command 'hook_field_formatter_info'
      field.command 'hook_field_formatter_info_alter'
      field.command 'hook_field_formatter_prepare_view'
      field.command 'hook_field_formatter_view'
      field.command 'hook_field_info'
      field.command 'hook_field_info_alter'
      field.command 'hook_field_info_max_weight'
      field.command 'hook_field_insert'
      field.command 'hook_field_is_empty'
      field.command 'hook_field_language_alter'
      field.command 'hook_field_load'
      field.command 'hook_field_prepare_translation'
      field.command 'hook_field_prepare_view'
      field.command 'hook_field_presave'
      field.command 'hook_field_purge_field'
      field.command 'hook_field_purge_field_instance'
      field.command 'hook_field_read_field'
      field.command 'hook_field_read_instance'
      field.command 'hook_field_schema'
      field.command 'hook_field_storage_create_field'
      field.command 'hook_field_storage_delete'
      field.command 'hook_field_storage_delete_field'
      field.command 'hook_field_storage_delete_instance'
      field.command 'hook_field_storage_delete_revision'
      field.command 'hook_field_storage_details'
      field.command 'hook_field_storage_details_alter'
      field.command 'hook_field_storage_info'
      field.command 'hook_field_storage_info_alter'
      field.command 'hook_field_storage_load'
      field.command 'hook_field_storage_pre_insert'
      field.command 'hook_field_storage_pre_load'
      field.command 'hook_field_storage_pre_update'
      field.command 'hook_field_storage_purge'
      field.command 'hook_field_storage_purge_field'
      field.command 'hook_field_storage_purge_field_instance'
      field.command 'hook_field_storage_query'
      field.command 'hook_field_storage_update_field'
      field.command 'hook_field_storage_write'
      field.command 'hook_field_update'
      field.command 'hook_field_update_field'
      field.command 'hook_field_update_forbid'
      field.command 'hook_field_update_instance'
      field.command 'hook_field_validate'
      field.command 'hook_field_widget_error'
      field.command 'hook_field_widget_form'
      field.command 'hook_field_widget_info'
      field.command 'hook_field_widget_info_alter'
      field.command 'hook_field_widget_properties_ENTITY_TYPE_alter'
      field.command 'hook_field_widget_properties_alter'
    end
    submenu.menu 'field_ui' do |field_ui|
      field_ui.command 'hook_field_formatter_settings_form'
      field_ui.command 'hook_field_formatter_settings_summary'
      field_ui.command 'hook_field_instance_settings_form'
      field_ui.command 'hook_field_settings_form'
      field_ui.command 'hook_field_widget_settings_form'
    end
    submenu.menu 'file' do |file|
      file.command 'hook_file_download_access'
      file.command 'hook_file_download_access_alter'
    end
    submenu.menu 'filter' do |filter|
      filter.command 'hook_filter_FILTER_prepare'
      filter.command 'hook_filter_FILTER_process'
      filter.command 'hook_filter_FILTER_settings'
      filter.command 'hook_filter_FILTER_tips'
      filter.command 'hook_filter_format_disable'
      filter.command 'hook_filter_format_insert'
      filter.command 'hook_filter_format_update'
      filter.command 'hook_filter_info'
      filter.command 'hook_filter_info_alter'
    end
    submenu.menu 'help' do |help|
      help.command 'hook_help'
    end
    submenu.menu 'image' do |image|
      image.command 'hook_image_default_styles'
      image.command 'hook_image_effect_info'
      image.command 'hook_image_effect_info_alter'
      image.command 'hook_image_style_delete'
      image.command 'hook_image_style_flush'
      image.command 'hook_image_style_save'
      image.command 'hook_image_styles_alter'
    end
    submenu.menu 'locale' do |locale|
      locale.command 'hook_language_fallback_candidates_alter'
      locale.command 'hook_language_init'
      locale.command 'hook_language_negotiation_info'
      locale.command 'hook_language_negotiation_info_alter'
      locale.command 'hook_language_switch_links_alter'
      locale.command 'hook_language_types_info'
      locale.command 'hook_language_types_info_alter'
      locale.command 'hook_locale'
      locale.command 'hook_multilingual_settings_changed'
    end
    submenu.menu 'menu' do |menu|
      menu.command 'hook_menu_delete'
      menu.command 'hook_menu_insert'
      menu.command 'hook_menu_update'
    end
    submenu.menu 'node' do |node|
      node.command 'hook_delete'
      node.command 'hook_form'
      node.command 'hook_insert'
      node.command 'hook_load'
      node.command 'hook_node_access'
      node.command 'hook_node_access_records'
      node.command 'hook_node_access_records_alter'
      node.command 'hook_node_delete'
      node.command 'hook_node_grants'
      node.command 'hook_node_grants_alter'
      node.command 'hook_node_info'
      node.command 'hook_node_insert'
      node.command 'hook_node_load'
      node.command 'hook_node_operations'
      node.command 'hook_node_prepare'
      node.command 'hook_node_presave'
      node.command 'hook_node_revision_delete'
      node.command 'hook_node_search_result'
      node.command 'hook_node_submit'
      node.command 'hook_node_type_delete'
      node.command 'hook_node_type_insert'
      node.command 'hook_node_type_update'
      node.command 'hook_node_update'
      node.command 'hook_node_update_index'
      node.command 'hook_node_validate'
      node.command 'hook_node_view'
      node.command 'hook_node_view_alter'
      node.command 'hook_prepare'
      node.command 'hook_ranking'
      node.command 'hook_update'
      node.command 'hook_validate'
      node.command 'hook_view'
    end
    submenu.menu 'openid' do |openid|
      openid.command 'hook_openid'
      openid.command 'hook_openid_discovery_method_info'
      openid.command 'hook_openid_discovery_method_info_alter'
      openid.command 'hook_openid_normalization_method_info'
      openid.command 'hook_openid_normalization_method_info_alter'
      openid.command 'hook_openid_response'
    end
    submenu.menu 'overlay' do |overlay|
      overlay.command 'hook_overlay_child_initialize'
      overlay.command 'hook_overlay_parent_initialize'
    end
    submenu.menu 'path' do |path|
      path.command 'hook_path_delete'
      path.command 'hook_path_insert'
      path.command 'hook_path_update'
    end
    submenu.menu 'rdf' do |rdf|
      rdf.command 'hook_rdf_mapping'
      rdf.command 'hook_rdf_namespaces'
    end
    submenu.menu 'search' do |search|
      search.command 'hook_search_access'
      search.command 'hook_search_admin'
      search.command 'hook_search_execute'
      search.command 'hook_search_info'
      search.command 'hook_search_page'
      search.command 'hook_search_preprocess'
      search.command 'hook_search_reset'
      search.command 'hook_search_status'
      search.command 'hook_update_index'
      search.command 'sample_search_conditions_callback'
    end
    submenu.menu 'shortcut' do |shortcut|
      shortcut.command 'hook_shortcut_default_set'
    end
    submenu.menu 'simpletest' do |simpletest|
      simpletest.command 'hook_simpletest_alter'
      simpletest.command 'hook_test_finished'
      simpletest.command 'hook_test_group_finished'
      simpletest.command 'hook_test_group_started'
    end
    submenu.menu 'system' do |system|
      system.command 'hook_action_info'
      system.command 'hook_action_info_alter'
      system.command 'hook_actions_delete'
      system.command 'hook_admin_paths'
      system.command 'hook_admin_paths_alter'
      system.command 'hook_ajax_render_alter'
      system.command 'hook_archiver_info'
      system.command 'hook_archiver_info_alter'
      system.command 'hook_batch_alter'
      system.command 'hook_boot'
      system.command 'hook_countries_alter'
      system.command 'hook_cron'
      system.command 'hook_cron_queue_info'
      system.command 'hook_cron_queue_info_alter'
      system.command 'hook_css_alter'
      system.command 'hook_custom_theme'
      system.command 'hook_date_format_types'
      system.command 'hook_date_format_types_alter'
      system.command 'hook_date_formats'
      system.command 'hook_date_formats_alter'
      system.command 'hook_disable'
      system.command 'hook_drupal_goto_alter'
      system.command 'hook_element_info'
      system.command 'hook_element_info_alter'
      system.command 'hook_enable'
      system.command 'hook_entity_delete'
      system.command 'hook_entity_info'
      system.command 'hook_entity_info_alter'
      system.command 'hook_entity_insert'
      system.command 'hook_entity_load'
      system.command 'hook_entity_prepare_view'
      system.command 'hook_entity_presave'
      system.command 'hook_entity_query_alter'
      system.command 'hook_entity_update'
      system.command 'hook_entity_view'
      system.command 'hook_entity_view_alter'
      system.command 'hook_exit'
      system.command 'hook_file_copy'
      system.command 'hook_file_delete'
      system.command 'hook_file_download'
      system.command 'hook_file_insert'
      system.command 'hook_file_load'
      system.command 'hook_file_mimetype_mapping_alter'
      system.command 'hook_file_move'
      system.command 'hook_file_presave'
      system.command 'hook_file_update'
      system.command 'hook_file_url_alter'
      system.command 'hook_file_validate'
      system.command 'hook_filetransfer_info'
      system.command 'hook_filetransfer_info_alter'
      system.command 'hook_flush_caches'
      system.command 'hook_form_BASE_FORM_ID_alter'
      system.command 'hook_form_FORM_ID_alter'
      system.command 'hook_form_alter'
      system.command 'hook_forms'
      system.command 'hook_hook_info'
      system.command 'hook_hook_info_alter'
      system.command 'hook_html_head_alter'
      system.command 'hook_image_toolkits'
      system.command 'hook_init'
      system.command 'hook_install'
      system.command 'hook_install_tasks'
      system.command 'hook_install_tasks_alter'
      system.command 'hook_js_alter'
      system.command 'hook_library'
      system.command 'hook_library_alter'
      system.command 'hook_mail'
      system.command 'hook_mail_alter'
      system.command 'hook_menu'
      system.command 'hook_menu_alter'
      system.command 'hook_menu_breadcrumb_alter'
      system.command 'hook_menu_contextual_links_alter'
      system.command 'hook_menu_get_item_alter'
      system.command 'hook_menu_link_alter'
      system.command 'hook_menu_link_delete'
      system.command 'hook_menu_link_insert'
      system.command 'hook_menu_link_update'
      system.command 'hook_menu_local_tasks_alter'
      system.command 'hook_menu_site_status_alter'
      system.command 'hook_module_implements_alter'
      system.command 'hook_modules_disabled'
      system.command 'hook_modules_enabled'
      system.command 'hook_modules_installed'
      system.command 'hook_modules_uninstalled'
      system.command 'hook_page_alter'
      system.command 'hook_page_build'
      system.command 'hook_page_delivery_callback_alter'
      system.command 'hook_permission'
      system.command 'hook_query_TAG_alter'
      system.command 'hook_query_alter'
      system.command 'hook_registry_files_alter'
      system.command 'hook_requirements'
      system.command 'hook_schema'
      system.command 'hook_schema_alter'
      system.command 'hook_stream_wrappers'
      system.command 'hook_stream_wrappers_alter'
      system.command 'hook_system_info_alter'
      system.command 'hook_system_themes_page_alter'
      system.command 'hook_theme'
      system.command 'hook_theme_registry_alter'
      system.command 'hook_token_info'
      system.command 'hook_token_info_alter'
      system.command 'hook_tokens'
      system.command 'hook_tokens_alter'
      system.command 'hook_translated_menu_link_alter'
      system.command 'hook_uninstall'
      system.command 'hook_update_N'
      system.command 'hook_update_dependencies'
      system.command 'hook_update_last_removed'
      system.command 'hook_updater_info'
      system.command 'hook_updater_info_alter'
      system.command 'hook_url_inbound_alter'
      system.command 'hook_url_outbound_alter'
      system.command 'hook_username_alter'
      system.command 'hook_watchdog'
      system.command 'hook_xmlrpc'
      system.command 'hook_xmlrpc_alter'
    end
    submenu.menu 'taxonomy' do |taxonomy|
      taxonomy.command 'hook_taxonomy_term_delete'
      taxonomy.command 'hook_taxonomy_term_insert'
      taxonomy.command 'hook_taxonomy_term_load'
      taxonomy.command 'hook_taxonomy_term_presave'
      taxonomy.command 'hook_taxonomy_term_update'
      taxonomy.command 'hook_taxonomy_term_view_alter'
      taxonomy.command 'hook_taxonomy_vocabulary_delete'
      taxonomy.command 'hook_taxonomy_vocabulary_insert'
      taxonomy.command 'hook_taxonomy_vocabulary_load'
      taxonomy.command 'hook_taxonomy_vocabulary_presave'
      taxonomy.command 'hook_taxonomy_vocabulary_update'
    end
    submenu.menu 'trigger' do |trigger|
      trigger.command 'hook_trigger_info'
      trigger.command 'hook_trigger_info_alter'
    end
    submenu.menu 'update' do |update|
      update.command 'hook_update_projects_alter'
      update.command 'hook_update_status_alter'
      update.command 'hook_verify_update_archive'
    end
    submenu.menu 'user' do |user|
      user.command 'hook_user_cancel'
      user.command 'hook_user_cancel_methods_alter'
      user.command 'hook_user_categories'
      user.command 'hook_user_delete'
      user.command 'hook_user_insert'
      user.command 'hook_user_load'
      user.command 'hook_user_login'
      user.command 'hook_user_logout'
      user.command 'hook_user_operations'
      user.command 'hook_user_presave'
      user.command 'hook_user_role_delete'
      user.command 'hook_user_role_insert'
      user.command 'hook_user_role_update'
      user.command 'hook_user_update'
      user.command 'hook_user_view'
      user.command 'hook_user_view_alter'
   end
  end
  main_menu.menu 'Theme' do |submenu|
   submenu.menu 'a' do |thememenu|
      thememenu.command 'theme_admin_block'
      thememenu.command 'theme_admin_block_content'
      thememenu.command 'theme_admin_page'
      thememenu.command 'theme_aggregator_block_item'
      thememenu.command 'theme_aggregator_categorize_items'
      thememenu.command 'theme_aggregator_page_opml'
      thememenu.command 'theme_aggregator_page_rss'
      thememenu.command 'theme_authorize_message'
      thememenu.command 'theme_authorize_report'
    end
   submenu.menu 'b' do |thememenu|
      thememenu.command 'theme_book_admin_table'
      thememenu.command 'theme_book_title_link'
      thememenu.command 'theme_breadcrumb'
      thememenu.command 'theme_button'
    end
   submenu.menu 'c' do |thememenu|
      thememenu.command 'theme_checkbox'
      thememenu.command 'theme_checkboxes'
      thememenu.command 'theme_color_scheme_form'
      thememenu.command 'theme_comment_block'
      thememenu.command 'theme_comment_post_forbidden'
      thememenu.command 'theme_common_test_foo'
      thememenu.command 'theme_confirm_form'
      thememenu.command 'theme_container'
    end
   submenu.menu 'd' do |thememenu|
      thememenu.command 'theme_dashboard'
      thememenu.command 'theme_dashboard_admin'
      thememenu.command 'theme_dashboard_disabled_block'
      thememenu.command 'theme_dashboard_disabled_blocks'
      thememenu.command 'theme_dashboard_region'
      thememenu.command 'theme_date'
      thememenu.command 'theme_dblog_message'
      thememenu.command 'theme_disable'
    end
   submenu.menu 'e' do |thememenu|
      thememenu.command 'theme_enable'
      thememenu.command 'theme_exposed_filters'
    end
   submenu.menu 'f' do |thememenu|
      thememenu.command 'theme_feed_icon'
      thememenu.command 'theme_field'
      thememenu.command 'theme_field_multiple_value_form'
      thememenu.command 'theme_field_ui_table'
      thememenu.command 'theme_fieldset'
      thememenu.command 'theme_file'
      thememenu.command 'theme_file_formatter_table'
      thememenu.command 'theme_file_icon'
      thememenu.command 'theme_file_link'
      thememenu.command 'theme_file_managed_file'
      thememenu.command 'theme_file_upload_help'
      thememenu.command 'theme_file_widget'
      thememenu.command 'theme_file_widget_multiple'
      thememenu.command 'theme_filter_admin_format_filter_order'
      thememenu.command 'theme_filter_admin_overview'
      thememenu.command 'theme_filter_guidelines'
      thememenu.command 'theme_filter_tips'
      thememenu.command 'theme_filter_tips_more_info'
      thememenu.command 'theme_form'
      thememenu.command 'theme_form_element'
      thememenu.command 'theme_form_element_label'
      thememenu.command 'theme_form_required_marker'
      thememenu.command 'theme_forum_form'
    end
   submenu.menu 'g' do |thememenu|
      thememenu.command 'theme_get_registry'
      thememenu.command 'theme_get_setting'
      thememenu.command 'theme_get_suggestions'
    end
   submenu.menu 'h' do |thememenu|
      thememenu.command 'theme_hidden'
      thememenu.command 'theme_html_tag'
    end
   submenu.menu 'i' do |thememenu|
      thememenu.command 'theme_image'
      thememenu.command 'theme_image_anchor'
      thememenu.command 'theme_image_button'
      thememenu.command 'theme_image_crop_summary'
      thememenu.command 'theme_image_formatter'
      thememenu.command 'theme_image_resize_summary'
      thememenu.command 'theme_image_rotate_summary'
      thememenu.command 'theme_image_scale_summary'
      thememenu.command 'theme_image_style'
      thememenu.command 'theme_image_style_effects'
      thememenu.command 'theme_image_style_list'
      thememenu.command 'theme_image_style_preview'
      thememenu.command 'theme_image_widget'
      thememenu.command 'theme_indentation'
      thememenu.command 'theme_install_page'
      thememenu.command 'theme_item_list'
    end
   submenu.menu 'l' do |thememenu|
      thememenu.command 'theme_link'
      thememenu.command 'theme_links'
      thememenu.command 'theme_locale_date_format_form'
      thememenu.command 'theme_locale_languages_configure_form'
      thememenu.command 'theme_locale_languages_overview_form'
    end
   submenu.menu 'm' do |thememenu|
      thememenu.command 'theme_mark'
      thememenu.command 'theme_menu_admin_overview'
      thememenu.command 'theme_menu_link'
      thememenu.command 'theme_menu_local_action'
      thememenu.command 'theme_menu_local_task'
      thememenu.command 'theme_menu_local_tasks'
      thememenu.command 'theme_menu_overview_form'
      thememenu.command 'theme_menu_tree'
      thememenu.command 'theme_more_help_link'
      thememenu.command 'theme_more_link'
    end
   submenu.menu 'n' do |thememenu|
      thememenu.command 'theme_node_add_list'
      thememenu.command 'theme_node_admin_overview'
      thememenu.command 'theme_node_preview'
      thememenu.command 'theme_node_recent_block'
      thememenu.command 'theme_node_recent_content'
      thememenu.command 'theme_node_search_admin'
    end
   submenu.menu 'o' do |thememenu|
      thememenu.command 'theme_options_none'
      thememenu.command 'theme_overlay_disable_message'
    end
   submenu.menu 'p' do |thememenu|
      thememenu.command 'theme_pager'
      thememenu.command 'theme_pager_first'
      thememenu.command 'theme_pager_last'
      thememenu.command 'theme_pager_link'
      thememenu.command 'theme_pager_next'
      thememenu.command 'theme_pager_previous'
      thememenu.command 'theme_password'
      thememenu.command 'theme_poll_choices'
      thememenu.command 'theme_profile_admin_overview'
      thememenu.command 'theme_progress_bar'
    end
   submenu.menu 'r' do |thememenu|
      thememenu.command 'theme_radio'
      thememenu.command 'theme_radios'
      thememenu.command 'theme_rdf_metadata'
      thememenu.command 'theme_rdf_template_variable_wrapper'
      thememenu.command 'theme_render_template'
    end
   submenu.menu 's' do |thememenu|
      thememenu.command 'theme_select'
      thememenu.command 'theme_shortcut_set_customize'
      thememenu.command 'theme_simpletest_result_summary'
      thememenu.command 'theme_simpletest_test_table'
      thememenu.command 'theme_status_messages'
      thememenu.command 'theme_status_report'
      thememenu.command 'theme_submit'
      thememenu.command 'theme_system_admin_index'
      thememenu.command 'theme_system_compact_link'
      thememenu.command 'theme_system_date_time_settings'
      thememenu.command 'theme_system_modules_fieldset'
      thememenu.command 'theme_system_modules_incompatible'
      thememenu.command 'theme_system_modules_uninstall'
      thememenu.command 'theme_system_powered_by'
      thememenu.command 'theme_system_settings_form'
      thememenu.command 'theme_system_themes_page'
    end
   submenu.menu 't' do |thememenu|
      thememenu.command 'theme_table'
      thememenu.command 'theme_tableselect'
      thememenu.command 'theme_tablesort_indicator'
      thememenu.command 'theme_task_list'
      thememenu.command 'theme_taxonomy_overview_terms'
      thememenu.command 'theme_taxonomy_overview_vocabularies'
      thememenu.command 'theme_test_exit'
      thememenu.command 'theme_test_hook_init_page_callback'
      thememenu.command 'theme_test_init'
      thememenu.command 'theme_test_menu'
      thememenu.command 'theme_test_preprocess_breadcrumb'
      thememenu.command 'theme_text_format_wrapper'
      thememenu.command 'theme_textarea'
      thememenu.command 'theme_textfield'
      thememenu.command 'theme_toolbar_toggle'
      thememenu.command 'theme_trigger_display'
    end
   submenu.menu 'u' do |thememenu|
      thememenu.command 'theme_update_last_check'
      thememenu.command 'theme_update_manager_update_form'
      thememenu.command 'theme_update_page'
      thememenu.command 'theme_update_report'
      thememenu.command 'theme_update_status_label'
      thememenu.command 'theme_update_version'
      thememenu.command 'theme_user_admin_permissions'
      thememenu.command 'theme_user_admin_roles'
      thememenu.command 'theme_user_list'
      thememenu.command 'theme_user_permission_description'
      thememenu.command 'theme_user_signature'
      thememenu.command 'theme_username'
    end
   submenu.menu 'v' do |thememenu|
      thememenu.command 'theme_vertical_tabs'
    end
  end
  main_menu.menu 'Form' do |form|
    
  end
  main_menu.menu 'Drush' do |drush|
    drush.command 'Execute PHP'
    drush.separator
    drush.command 'Project Drush Settings'
    drush.separator
    drush.command 'Global Drush Settings'
  end
  main_menu.command 'Documentation for Selection (Drupal 7)'
  end
end


command "Show Save Information" do |cmd|
  cmd.input = :none
  cmd.output = :discard
  cmd.trigger = :execution_listener

  cmd.invoke do |ctx|
    ctx.execution_listener.each {|k,v| CONSOLE.puts "Execution: #{k}=#{v}"}
  end
end